package mon.util

import scala.util.Random

class Dice(val rng : Random) extends AnyVal {
  def nextInt(min : Int, max : Int) = rng.nextInt(max - min + 1) + min
 
  def pick[T](seq : IndexedSeq[T]) : T = seq(rng.nextInt(seq.size))
  
  def chance(frac : Fraction) = rng.nextInt(frac.denom) < frac.num
}